Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158876 - Evince cannot display some pdf correctly as xpdf does
Summary: Evince cannot display some pdf correctly as xpdf does
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 14:23 UTC by Yijun Yuan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 18:55:54 UTC


Attachments (Terms of Use)
a pdf file that evince cannot display correctly while xpdf can (deleted)
2005-05-26 14:30 UTC, Yijun Yuan
no flags Details
xpdf displays correct characters (deleted)
2005-05-29 12:21 UTC, Yijun Yuan
no flags Details
evince with the same pdf file (deleted)
2005-05-29 12:27 UTC, Yijun Yuan
no flags Details

Description Yijun Yuan 2005-05-26 14:23:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
Evince cannot display some pdf files correctly. They are all produced using Adobe distiller for word 5.0, version 1.3. All the CJK characters in the file are not correct, they are all wrong ones. But when copy and paste to leafpad, the pasted text are the right ones. it seems that evince uses wrong CMap in display procedure. xpdf (xpdf-3.0.0-19) could display these files correctly.
Evince can display most of my pdf files well, including some that are produced by distiller. Only two of the files are problematic. One of them is in the attachment.

Version-Release number of selected component (if applicable):
evince-0.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. use evince to open the file
2.
3.
  

Actual Results:  the chinese characters displayed are wrong ones.

Expected Results:  evince should displays right characters like xpdf does

Additional info:

I have installed fonts-chinese-2.15-2 and xpdf-3.0.0-19 and xpdf can display every pdf file very well

Comment 1 Yijun Yuan 2005-05-26 14:30:03 UTC
Created attachment 114868 [details]
a pdf file that evince cannot display correctly while xpdf can

Comment 2 Yijun Yuan 2005-05-29 12:22:00 UTC
Created attachment 114950 [details]
xpdf displays correct characters

Comment 3 Yijun Yuan 2005-05-29 12:27:48 UTC
Created attachment 114951 [details]
evince with the same pdf file

Comment 4 Marco Pesenti Gritti 2005-06-01 08:40:20 UTC
Would you mind to post a bug about this issue on bugs.freedesktop.org, component
poppler? You are probably going to be able to provide more useful info than I
am... I'm hardly able to say the difference between the two screenshots :)

Comment 5 Kristian Høgsberg 2006-09-22 18:55:54 UTC
I couldn't see the cover sheet displayed in the screenshots in the attached PDF,
but with poppler 0.5.4, the PDF looks fine.  I'm closing this bug, please reopen
and attach a PDF which corresponds to the screenshots.  Thanks, Kristian.


Note You need to log in before you can comment on or make changes to this bug.